org.apache.jasper.security

## Class SecurityClassLoad

- java.lang.Object
- - org.apache.jasper.security.SecurityClassLoad

-     public final class SecurityClassLoad
      extends Object

  Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityClassLoad()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `securityClassLoad(ClassLoader loader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityClassLoad

          public SecurityClassLoad()

  - ### Method Detail

    - #### securityClassLoad

          public static void securityClassLoad(ClassLoader loader)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.